// 兑换码
export default {
  path: 'cdKey',
  name: '兑换码管理',
  component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/index.vue'),
  redirect: '/cdKey/list',
  children: [
    {
      path: 'list',
      name: '兑换码列表',
      component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/list.vue'),
      meta: {
        path: '/cdKey/list'
      }
    },
    {
      path: 'add',
      name: '兑换码新增',
      component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/form.vue'),
      meta: {
        type: 'add',
        path: '/cdKey/list'
      }
    },
    {
      path: 'info',
      name: '兑换码详情',
      component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/form.vue'),
      meta: {
        type: 'info',
        path: '/cdKey/list'
      }
    },
    {
      path: 'edit/:id',
      name: '兑换码编辑',
      component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/form.vue'),
      meta: {
        type: 'edit',
        path: '/cdKey/list'
      }
    },
    {
      path: 'record/list',
      name: '兑换记录',
      component: () => import(/* webpackChunkName: "cdKey" */ '../../views/cdKey/record-list.vue')
    }
  ]
};
